Summary:        Extensions for mypy (separated out from mypy/extensions)
Name:           python-mypy_extensions
Version: 1.0.0
Release: 3%{?dist}
License:        MIT
URL:            https://github.com/python/mypy_extensions
Source:         %{pypi_source mypy_extensions}

BuildArch:      noarch

%description 
This module defines experimental extensions to the standard "typing" module that are supported 
by the mypy typechecker.

%package -n python3-mypy_extensions
Summary:        %{summary}
BuildRequires:  python3-devel python3-setuptools
Provides:       python3-mypy_extensions = %{version}-%{release}

%description -n python3-mypy_extensions 
This module defines experimental extensions to the standard "typing" module that are supported 
by the mypy typechecker.

%prep
%autosetup -n mypy_extensions-%{version}
rm -vrf *.egg-info/

%build
%py3_build

%install
%py3_install

%files -n python3-mypy_extensions
%license LICENSE
%doc README.md
%{python3_sitelib}/mypy_extensions-*.egg-info/
%{python3_sitelib}/mypy_extensions.py
%{python3_sitelib}/__pycache__/mypy_extensions.*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-2
- Rebuilt for loongarch release

* Thu Sep 21 2023 cunshunxia <cunshunxia@tencent.com> - 1.0.0-1
- upgrade to 1.0.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.3-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.3-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 20 2022 Wang Guodong <gordonwwang@tencent.com> - 0.4.3-1
- package init.
